## TrackerMinerProxy TrackerMinerProxy — Proxies a TrackerMiner on DBus |

## Functions

TrackerMinerProxy * | tracker_miner_proxy_new ()

## Includes

    #include <libtracker-miner/tracker-miner.h>

## Description

TrackerMinerProxy is a helper object to expose org.freedesktop.Tracker1.Miner DBus interfaces for the given TrackerMiner object. This is used to implement miners as DBus services.

This proxy allows the miner to be controlled through external means, such as TrackerMinerManager in libtracker-control.

TrackerMinerProxy implements the GInitable interface, and thus all objects of types inheriting from TrackerMinerProxy must be initialized with `g_initable_init()` just after creation (or directly created with `g_initable_new()`).

## Functions

### tracker_miner_proxy_new ()

    TrackerMinerProxy *
    tracker_miner_proxy_new (TrackerMiner *miner,
                             GDBusConnection *connection,
                             const gchar *dbus_path,
                             GCancellable *cancellable,
                             GError **error);

## Types and Values